> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizzy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Directors

## Request

#### Header

<ParamField header="Accept-Language" type="string" default="EN">
  * NL: Dutch - FR: French - EN: English
</ParamField>

#### Body

<ParamField path="legalEntities" type="array">
  <Expandable title="legal entity properties">
    <ResponseField name="legalEntityId" type="string" required>
      Obfuscated legalEntityId returned by the company legal entities endpoint.
    </ResponseField>
  </Expandable>

  <Note>You can request up to 100 legal entities at once.</Note>
</ParamField>

<ParamField body="limit" type="number" default="4">
  Number of items to return per page. (max 500)
</ParamField>

<ParamField body="offset" type="number" default="0">
  Number of items to skip
</ParamField>

<ParamField body="search" type="string">
  You can query on name.
</ParamField>

## Response

<Note>
  The same limit and offset are shared over all legal entities. `limit` may not exceed 100, and `legalEntities.length x limit` may not exceed 500.
</Note>

<ResponseExample>
  ```json Response - 200 theme={null}
  [
      {
          "identifier": {
              "legalEntityId": "1778186251",
              "countryCode": "BE",
              "name": "Bizzy AI",
              "isPrimary": true
          },
          "data": [
              {
                  "person": {
                      "contactId": "1086914623",
                      "firstName": "Lorenz",
                      "lastName": "Bogaert"
                  },
                  "function": "PERMANENT_REPRESENTATIVE",
                  "since": "2025-05-16",
                  "until": null
              },
              {
                  "person": {
                      "contactId": "1481690419",
                      "firstName": "Filip",
                      "lastName": "Van Innis"
                  },
                  "function": "PERMANENT_REPRESENTATIVE",
                  "since": "2025-05-16",
                  "until": null
              },
              {
                  "person": {
                      "contactId": "1086914623",
                      "firstName": "Lorenz",
                      "lastName": "Bogaert"
                  },
                  "function": "DIRECTOR",
                  "since": "2025-05-16",
                  "until": null
              },
              {
                  "person": {
                      "contactId": "1481690419",
                      "firstName": "Filip",
                      "lastName": "Van Innis"
                  },
                  "function": "DIRECTOR",
                  "since": "2025-05-16",
                  "until": null
              }
          ],
          "pagination": {
              "limit": 4,
              "offset": 0,
              "total": 16
          },
          "message": null
      },
      { // Example error
          "identifier": {
              "legalEntityId": "123456789"
          },
          "data": null,
          "pagination": null,
          "message": "Legal entity not found"
      }
  ]
  ```
</ResponseExample>
